/*
***************************************************
*                                                 *
*               VARIOUS GAME ITEMS                *
*                                                 *
***************************************************

The items will be used to make the game more fun, as well as
add random useless elements.

Author: Gajo Csaba
Date: 25 Feb, 2005
Version: 0.1

  FINAL NOTICE: This module is not used for anything in final version!
*/

#ifndef _items_h
#define _items_h

#include "basic.h"

#define MAX_ITEMS 6
#define ITEM_LOCK 0      // must unlock the lock
#define ITEM_HEALTH 1    // increases health
#define ITEM_WIN 2       // windows logo
#define ITEM_MONEY 3     // money picture
#define ITEM_BOOK 4      // book of informations
#define ITEM_SHIP 5      // space ship

class CItem : public CObject
{
    public:
        int iType;
        bool bWasted;
        CItem(int x, int y, int iType);
        void DoAction();
        void DoDraw();
};

bool LoadItemPictures();
void DestroyItemPictures();

#endif
