#include <list>
#include "globals.h"
#include "units.h"
#include "items.h"

using namespace std;

CPlayer* Player;
list<CUnit*> Bullets;
list<CUnit*> Monsters;
list<CItem*> Items;   
CMenu* Menu;
bool bBookRead = false;
bool bPlayMusic = true;
CMonster* Troll;

static int interval = 0;

void GarbageCollector()
{
    interval++;
    if (interval < REQUIRED_LONGITUDE) // don't clean all the time
       return;
    else
       interval = 0;
    list<CUnit*>::iterator b = Bullets.begin();
    list<CUnit*>::iterator m = Monsters.begin();
    list<CItem*>::iterator i = Items.begin();
    while (b != Bullets.end())
    {
        if (!(*b)->bAlive)      // if unit is dead
        {
            b = Bullets.erase(b);   // delete him from the list            
        }   
        else
        {
            b++;
        }        
    }    
    while (m != Monsters.end())
    {
        if (!(*m)->bAlive)
        {
            m = Monsters.erase(m);            
        }    
        else
        {
            m++;
        }    
    }    
    while (i != Items.end())
    {
        if ((*i)->bWasted)
        {
            i = Items.erase(i);            
        }    
        else
        {
            i++;
        }    
    }    
}    
