/*
***************************************************
*                                                 *
*             MAIN MODULE WHERE THE               *
*          INITIALIZATION TAKES PLACE             *
*                                                 *
***************************************************

This is where the whole game gets put together, and stuff 
gets initialized.

Author: Gajo Csaba
Date: 25 Feb, 2005
Version: 0.5
*/

#ifndef _main_h
#define _main_h

#define RESOLUTION_X 800
#define RESOLUTION_Y 600

class BITMAP;
class CMap;
class ALFONT_FONT;
class CBookReader;
class CTableGame;

extern BITMAP* Offscreen;
extern BITMAP* Mouse;
extern CMap* Map;
extern ALFONT_FONT* MyFont;
extern CBookReader* BookReader;
extern CTableGame* RiddleTable;

extern bool bPlaying;
extern int gfx;

#endif
